cinder's rbd backend driver now uses python library

Bug #1190791 reported by Adam Gandelman on 2013-06-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cinder (Juju Charms Collection)
Undecided
Unassigned
cinder (Ubuntu)
High
James Page

Bug Description

The rbd cinder driver now uses the rbd and rados python libraries instead of shelling out to the rbd CLI tools. As a consequence, the driver fails on startup if the python-ceph package is not installed.

2013-06-13 22:43:12.504 23798 ERROR cinder.service [req-9dd16fe9-2f73-44b4-9a3a-a055b267c575 None None] Unhandled exception
2013-06-13 22:43:12.504 23798 TRACE cinder.service Traceback (most recent call last):
2013-06-13 22:43:12.504 23798 TRACE cinder.service File "/usr/lib/python2.7/dist-packages/cinder/service.py", line 228, in _start_child
2013-06-13 22:43:12.504 23798 TRACE cinder.service self._child_process(wrap.server)
2013-06-13 22:43:12.504 23798 TRACE cinder.service File "/usr/lib/python2.7/dist-packages/cinder/service.py", line 205, in _child_process
2013-06-13 22:43:12.504 23798 TRACE cinder.service launcher.run_server(server)
2013-06-13 22:43:12.504 23798 TRACE cinder.service File "/usr/lib/python2.7/dist-packages/cinder/service.py", line 96, in run_server
2013-06-13 22:43:12.504 23798 TRACE cinder.service server.start()
2013-06-13 22:43:12.504 23798 TRACE cinder.service File "/usr/lib/python2.7/dist-packages/cinder/service.py", line 356, in start
2013-06-13 22:43:12.504 23798 TRACE cinder.service self.manager.init_host()
2013-06-13 22:43:12.504 23798 TRACE cinder.service File "/usr/lib/python2.7/dist-packages/cinder/volume/manager.py", line 142, in init_host
2013-06-13 22:43:12.504 23798 TRACE cinder.service self.driver.check_for_setup_error()
2013-06-13 22:43:12.504 23798 TRACE cinder.service File "/usr/lib/python2.7/dist-packages/cinder/volume/drivers/rbd.py", line 149, in check_for_setup_error
2013-06-13 22:43:12.504 23798 TRACE cinder.service raise exception.VolumeBackendAPIException(data=msg)
2013-06-13 22:43:12.504 23798 TRACE cinder.service VolumeBackendAPIException: Bad or unexpected response from the storage volume backend API: rados and rbd python libraries not found
2013-06-13 22:43:12.504 23798 TRACE cinder.service

Changed in cinder (Ubuntu):
status: New → Confirmed
importance: Undecided → High
James Page (james-page) on 2013-07-23
Changed in cinder (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → James Page (james-page)
James Page (james-page) on 2013-08-09
Changed in cinder (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 1:2013.2~b3-0ubuntu1

---------------
cinder (1:2013.2~b3-0ubuntu1) saucy; urgency=low

  [ James Page ]
  * d/control: Switch ceph-common -> python-ceph inline with upstream
    refactoring of Ceph RBD driver, move to Suggests of python-cinder.
    (LP: #1190791).

  [ Adam Gandelman ]
  * debian/patches/avoid_paramiko_vers_depends.patch: Dropped, no longer
    required.
  * Add minimum requirement python-greenlet (>= 0.3.2).
  * Add minimum requirement python-eventlet (>= 0.12.0).
  * Add minimum requirement python-paramiko (>= 1.8).

  [ Chuck Short ]
  * New upstream release.
  * debian/patches/skip-sqlachemy-failures.patch: Skip testfailures
    with sqlalchemy 0.8 until they are fixed upstream.
  * debian/control: Add python-babel to build-depends.
  * debian/control: Add python-novaclient to build-depends.
 -- Chuck Short <email address hidden> Sun, 08 Sep 2013 21:09:46 -0400

Changed in cinder (Ubuntu):
status: Fix Committed → Fix Released
Changed in cinder (Juju Charms Collection):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers